freeslot(
    "sfx_mltoss",
	"sfx_mlshtr",
    "sfx_crythr",
	"sfx_crshld",
	"sfx_crycrk",
	"sfx_crysha",
	"sfx_mldown",
	"sfx_mllnc1",
	"sfx_mllnc2",
	"sfx_mllnc3",
	
	"SPR_CRYS",
	"MT_THROWNCRYSTAL",
	"S_THROWNCRYSTAL",
	
	"MT_SHATTERCRYSTAL",
	
	"SPR_CYSH",
	"MT_MILNECRYSTAL_ORB",
	"S_MILNECRYSTALORB1",
	"S_MILNECRYSTALORB2"
)

mobjinfo[MT_THROWNCRYSTAL] = {
	doomednum = -1,
	spawnstate = S_THROWNCRYSTAL,
	deathstate = S_SMOKE1,
	spawnhealth = 1,
	deathsound = sfx_shattr,
	xdeathsound = sfx_shattr,
	speed = 30*FRACUNIT,
	radius = 16*FRACUNIT,
	height = 24*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_MISSILE|MF_NOGRAVITY
}

mobjinfo[MT_SHATTERCRYSTAL] = {
	doomednum = -1,
	spawnstate = S_THROWNCRYSTAL,
	flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPHEIGHT|MF_SCENERY
}

mobjinfo[MT_MILNECRYSTAL_ORB] = {
	doomednum = -1,
	spawnstate = S_MILNECRYSTALORB1,
	spawnhealth = 1000,
	reactiontime = 8,
	//speed = SH_PITY,
	radius = 64*FRACUNIT,
	height = 64*FRACUNIT,
	displayoffset = 4,
	mass = 16,
	flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPHEIGHT|MF_NOGRAVITY|MF_SCENERY
}

states[S_THROWNCRYSTAL] = {SPR_CRYS, A, -1, nil, 0, 0, S_NULL}

states[S_MILNECRYSTALORB1] = {SPR_CYSH, FF_TRANS50|A, 1, A_CapeChase, 0, 0, S_MILNECRYSTALORB1}
states[S_MILNECRYSTALORB2] = {SPR_CYSH, FF_TRANS50|B, 1, A_CapeChase, 0, 0, S_MILNECRYSTALORB2}

sfxinfo[sfx_mltoss].caption = "Tossing"
sfxinfo[sfx_mlshtr].caption = "/"

sfxinfo[sfx_crythr].caption = "Crystal Toss"

sfxinfo[sfx_crshld].caption = "Crystal Shield"
sfxinfo[sfx_crycrk].caption = "Crystal Shield Cracking"
sfxinfo[sfx_crysha].caption = "Shattering"

sfxinfo[sfx_mldown].caption = "Thokking Downwards"